'use strict';

const path = require("path");
const reportErrors = require("report-errors");
const mkdirp = require("mkdirp");

module.exports = function(errorPath) {
	mkdirp.sync(errorPath);

	module.exports = reportErrors(errorPath, {
		doNotCrash: true,
		handler: (error, context) => {
			console.error("Unhandled error:", error.stack);

			if (error.rateLimited !== true) {
				process.exit(1);
			}
		}
	});
};
